Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 235165 - layman-1.2.0-r1, TR locale error
Summary: layman-1.2.0-r1, TR locale error
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Tools (show other bugs)
Hardware: x86 Linux
: High major (vote)
Assignee: Gunnar Wrobel (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-19 04:32 UTC by Gürkan
Modified: 2008-11-15 10:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
layman-action.py.patch (layman-action.py.patch,394 bytes, patch)
2008-08-23 12:48 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
layman-encoding.patch (layman-encoding.patch,919 bytes, patch)
2008-08-23 13:16 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff
layman-encoding.patch (layman-encoding.patch,1.91 KB, patch)
2008-08-23 16:57 UTC, Arfrever Frehtes Taifersar Arahesis (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gürkan 2008-08-19 04:32:54 UTC
hi, i've just installed a stage1 gentoo..
layman gives this error when i've trying to add any overlay:

# layman -a arcon
Traceback (most recent call last):
  File "/usr/bin/layman", line 37, in <module>
    main()
  File "/usr/bin/layman", line 34, in main
    Actions(Config())
  File "/usr/lib/python2.5/site-packages/layman/action.py", line 489, in __init__
    result += i[1](config).run()
  File "/usr/lib/python2.5/site-packages/layman/action.py", line 160, in __init__
    self.selection = [i.decode(enc) for i in self.selection]
TypeError: decode() argument 1 must be string, not None


i thought maybe it should be another strange l10n error, as you know Turkish has problems like this. i've tried to ran with "LANG=C layman -a xxxx" but nothing changed.
Thanks..

(first bug report^^)

Reproducible: Always

Steps to Reproduce:




here is emerge info:

WARNING: repository at /usr/local/portage is missing a repo_name entry
Portage 2.2_rc8 (default/linux/x86/2008.0, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.27-rc2-zen1 i686)
=================================================================
System uname: Linux-2.6.27-rc2-zen1-i686-Intel-R-_Core-TM-2_Duo_CPU_T7100_@_1.80GHz-with-glibc2.0
Timestamp of tree: Tue, 19 Aug 2008 03:36:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.62-r1
sys-devel/automake:  1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=native -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O3 -march=native -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://gentoo.supp.name/ http://files.gentoo.org"
LANG="tr_TR"
LC_ALL="tr_TR"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -s"
LINGUAS="tr"
MAKEOPTS="-j4 -s "
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa bash-completion bindist bzip2 cli cracklib crypt custom-cflags dbus device-mapper disk-partition dri effects fat ffmpeg firefox fortran freetype gdbm gif gimpprint glitz gnome gpm gst gstreamer gtk gtk2 hal iconv icq ipv6 irc isdnlog jabber jfs jpeg laptop lcd lm_sensors midi mjpeg mmx mng moznocompose moznoirc moznomail moznopango mp3 msn mudflap nautilus ncurses network networkmanager nls nptl nptlonly ntfs ogg opengl openmp pam pcre pdf perl pidgin plugin png pppd python rar readline real reflection reiser4 reiserfs rss ruby session spl sqlite3 sse sse2 ssl ssse3 startup-notification subversion svg sysfs tcpd theora tiff udev unicode usb v4l v4l2 vorbis wifi win32codecs x86 xcb xfs xine xorg yahoo zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="tr" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa vga"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Gürkan 2008-08-21 23:25:26 UTC
sorry, i tried wrong symbols before..
LC_ALL="C" layman -a xxx
is working like a charm..

but still not working with Turkish locale :\

thanks
Comment 2 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2008-08-23 12:48:46 UTC
Created attachment 163614 [details, diff]
layman-action.py.patch
Comment 3 Gürkan 2008-08-23 12:59:04 UTC
Patched. this time error some shorter:

# layman -a x11    
* Running command "/usr/bin/git clone "git://git.overlays.gentoo.org/proj/x11/" "/usr/local/portage/layman/x11""...
* Failed to add overlay "x11".
* Error was: encode() argument 1 must be string, not None
Comment 4 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2008-08-23 13:16:51 UTC
Created attachment 163617 [details, diff]
layman-encoding.patch
Comment 5 Gürkan 2008-08-23 16:27:15 UTC
Thx working, but only adding :)

look:

# layman -a x11
* Running command "/usr/bin/git clone "git://git.overlays.gentoo.org/proj/x11/" "/usr/local/portage/layman/x11""...
Initialized empty Git repository in /usr/local/portage/layman/x11/.git/
remote: Counting objects: 1231, done.
remote: Compressing objects: 100% (1112/1112), done.
remote: Total 1231 (delta 486), reused 338 (delta 86)
Receiving objects: 100% (1231/1231), 321.24 KiB | 52 KiB/s, done.
Resolving deltas: 100% (486/486), done.
* Successfully added overlay "x11".

# layman -d x11
Traceback (most recent call last):
  File "/usr/bin/layman", line 37, in <module>
    main()
  File "/usr/bin/layman", line 34, in main
    Actions(Config())
  File "/usr/lib/python2.5/site-packages/layman/action.py", line 490, in __init__
    result += i[1](config).run()
  File "/usr/lib/python2.5/site-packages/layman/action.py", line 208, in __init__
    self.selection = [i.decode(enc) for i in self.selection]
TypeError: decode() argument 1 must be string, not None
Comment 6 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2008-08-23 16:57:15 UTC
Created attachment 163657 [details, diff]
layman-encoding.patch
Comment 7 Gürkan 2008-08-23 17:23:02 UTC
Now all fuctions works correctly. Thanks :)
Comment 8 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2008-08-23 19:44:29 UTC
Please reopen this bug. It hasn't been fixed yet in the Portage tree.
Comment 9 Gürkan 2008-08-23 20:24:33 UTC
ok sorry :)
Comment 10 Gunnar Wrobel (RETIRED) gentoo-dev 2008-11-15 10:31:59 UTC
Thanks for the patch! Fixed in layman-1.2.1. Available via portage.